Skip to main content

Overview

Order API Introduction

Order objects are created to handle sellers’ shipments. You can create, retrieve, update, and cancel individual orders. Orders are identified by a unique, random ID

Endpoints
POST    /v1/orders
GET /v1/orders/:id
POST /v1/orders/:id
POST /v1/orders/:id/cancel
DELETE /v1/orders/:id // deprecated

Status Flow​

Below is the order flow of general shipment with Biteship

Biteship Flow Order

Order Status​

NoStatusDescriptionAvailable to Delete
1confirmedOrder is ready to be confirmed. AWB has been generated.✅
2scheduledOrder has been scheduled to be delivered. AWB has been generated.✅
3allocatedOrder has been allocated, courier will pickup the package.✅
4picking_upCourier is on the way to pickup the package. (First Mile)✅
5pickedPackage has been picked up by courier.❌
6cancelledOrder has been cancelled.❌
7on_holdOrder is on hold for any reason.❌
8in_transitPackage is on the transit to the destination. (Middle Mile)❌
8dropping_offCourier is dropping off the package to the receiver. (Last Mile)❌
9return_in_transitPackage is on the transit for a return to sender.❌
10returnedPackage has been returned to sender.❌
11rejectedOrder has been rejected.❌
12disposedPackage has been disposed / destroyed.❌
13courier_not_foundCannot find courier for the order.❌
14deliveredPackage has been delivered to the receiver.❌

Courier Status Availability​

For each uniqueness of all courier status, please go to this link All Courier Status Availability